library(HistData)

data(Snow.deaths)
data(Snow.pumps)
data(Snow.streets)
data(Snow.polygons)
data(Snow.deaths)
## Plot deaths over time
require(lubridate)
clr <- ifelse(Snow.dates$date < mdy("09/08/1854"), "red", "darkgreen")
plot(deaths ~ date, data = Snow.dates, type = "h", lwd = 2, col = clr)
points(deaths ~ date, data = Snow.dates, cex = 0.5, pch = 16, col = clr)
text(mdy("09/08/1854"), 40, "Pump handle\nremoved Sept. 8", pos = 4)

## draw Snow's map and data
SnowMap()
# add polygons
SnowMap(polygons = TRUE, main = "Snow's Cholera Map with Pump Polygons")
# zoom in a bit, and show density estimate
SnowMap(
        xlim = c(7.5, 16.5), ylim = c(7, 16), polygons = TRUE, density = TRUE,
        main = "Snow's Cholera Map, Annotated"
)
## re-do this the sp way... [thx: Stephane Dray]
library(sp)
# streets
slist <- split(Snow.streets[, c("x", "y")], as.factor(Snow.streets[, "street"]))
Ll1 <- lapply(slist, Line)
Lsl1 <- Lines(Ll1, "Street")
Snow.streets.sp <- SpatialLines(list(Lsl1))
plot(Snow.streets.sp, col = "gray")
title(main = "Snow's Cholera Map of London (sp)")
# deaths
Snow.deaths.sp <- SpatialPoints(Snow.deaths[, c("x", "y")])
plot(Snow.deaths.sp, add = TRUE, col = "red", pch = 15, cex = 0.6)
# pumps
spp <- SpatialPoints(Snow.pumps[, c("x", "y")])
Snow.pumps.sp <- SpatialPointsDataFrame(spp, Snow.pumps[, c("x", "y")])
plot(Snow.pumps.sp, add = TRUE, col = "blue", pch = 17, cex = 1.5)
text(Snow.pumps[, c("x", "y")], labels = Snow.pumps$label, pos = 1, cex = 0.8)
